libgcroots0_0.9.0-1_i386.deb


Advertisement

Description

libgcroots0 - GC shared library for sigscheme Scheme interpreter

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libgcroots0_0.9.0-1_i386.deb
Package name libgcroots0
Package version 0.9.0
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://github.com/uim/sigscheme
License -
Maintainer HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Download size 9.64 KB
Installed size 30.00 KB
SigScheme is a Scheme interpreter, which targets embedded programs.
SigScheme is used as extension engine for uim, universal input method
system.  It conforms to R5RS, some of SRFI-s.
This package contains the shared libraries for garbage collector roots.

Alternatives

Package Version Architecture Repository
libgcroots0_0.9.0-1_amd64.deb 0.9.0 amd64 Debian Main
libgcroots0 - - -

Requires

Name Value
libc6 >= 2.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgcroots0_0.9.0-1_i386.deb
Source Package sigscheme

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgcroots0 deb package:
    # sudo apt-get install libgcroots0

Files

Path
/usr/lib/i386-linux-gnu/libgcroots.so.0
/usr/lib/i386-linux-gnu/libgcroots.so.0.1.0
/usr/share/doc/libgcroots0/changelog.Debian.gz
/usr/share/doc/libgcroots0/copyright

Changelog

2018-05-10 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
sigscheme (0.9.0-1) unstable; urgency=medium
* New upstream release.
- d/p/fix_spelling_error_sigscheme.patch: removed, applied upstream.
- d/p/add-ac-config-macro-dir-m4-0.8.5: removed, applied upstream.
- d/p/makefile-change-0.8.5: removed, applied upstream.
- d/p/ldadd-0.8.3: refresh patch.
- d/p/support-automake-test-log-driver: rename and refresh patch.
- d/p/getcontext: rename and refresh patch.
* d/changelog: eliminate lintian warning: file-contains-trailing-whitespace
* Update Standards-Version to 4.1.4
2018-03-16 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
sigscheme (0.8.5-8) unstable; urgency=medium
* d/watch: do not catch suffix for upstream version.
* d/p/fix_spelling_error_sigscheme.patch: eliminate lintian warning:
spelling-error-in-patch-description
* d/rule: remove autoreconf due to enabled by default since debhelper 10
2018-03-15 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
sigscheme (0.8.5-7) unstable; urgency=medium
* d/libgcroots0.symbols: add architectures (Closes: #892972)
* d/watch: check gz archive.
* d/changelog: eliminate lintian warning: file-contains-trailing-whitespace
2018-01-14 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
sigscheme (0.8.5-6) unstable; urgency=medium
* Move Vcs-* to salsa.debian.org
* run wrap-and-sort
* use https instead of http
* enable autopkgtest
* libgcroots-dev marked as Multi-Arch: same by MA hinter
* Bump debhelper compatibility level to 11
* Update Standards-Version to 4.1.3
2016-08-06 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
sigscheme (0.8.5-5) unstable; urgency=medium
* debian/control
- set myself as the maintainer with ex-maintainer's permission.
thanks to NIIBE Yutaka <gniibe@fsij.org> for previous works.
- add Vsc-* headers.
- eliminate lintian warning: binary-control-field-duplicates-source
- eliminate lintian warning: duplicate-long-description
* debian/copyright: eliminate lintian warnings.
- wildcard-matches-nothing-in-dep5-copyright
- dep5-copyright-license-name-not-unique
- unused-file-paragraph-in-dep5-copyright
* eliminate lintian warning: obsolete-url-in-packaging code.google.com
* enable hardening all
- debian/rules: add hardening=+all
- debian/sigscheme.lintian-overrides: hardening-no-fortify-functions
* eliminate lintian warning:
possible-documentation-but-no-doc-base-registration
- debian/sigscheme.doc-base: new file.
* debian/patches/fix_spelling_error_sigscheme.patch
- fix spelling error sigscheme: charater character.
* bump up Standards-Version 3.9.8.
2015-01-27 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
sigscheme (0.8.5-4.2) unstable; urgency=medium
* Non-maintainer upload.
* fix FTBFS on arm64 (Closes: #758710).
thanks to Artur Rona <ari-tczew@tlen.pl> for picking from Ubuntu.
- debian/libgcroots0.symbols: add arm64 support.
- debian/patches/aarch64.diff: new patch to add arm64 support.
thanks to Matthias Klose <doko@ubuntu.com>.
- debian/patches/series: update.
2014-04-17 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
sigscheme (0.8.5-4.1) unstable; urgency=medium
* Non-maintainer upload.
* fix package missing the sources for the autoconf macros (Closes: #736177).
- debian/rules: use autoreconf instead of autotools-dev.
- debian/control: add dh-autoreconf and pkg-config to B-D.
- debian/patches/add-ac-config-macro-dir-m4-0.8.5: new file.
- debian/patches/support-automake-test-log-driver-0.8.5: new file.
* debian/libgcroots0.symbols: fix FTBFS for mips64(el) (Closes:  #729670).
thanks to YunQiang Su <wzssyqa@gmail.com>.
2013-07-18 - NIIBE Yutaka <gniibe@fsij.org>
sigscheme (0.8.5-4) unstable; urgency=low
* debian/rules: Add --with autotools-dev.  Remove --with quilt.
* debian/control (Build-Depends): Remove quilt.
[sigscheme-runtime] (Replaces, Breaks): Add (Closes: #717238).
Thanks to Andreas Beckmann.

See Also

Package Description
libgcrypt-mingw-w64-dev_1.8.4-5_all.deb LGPL Crypto library - Windows development
libgcrypt20-dev_1.8.4-5_i386.deb LGPL Crypto library - development files
libgcrypt20-doc_1.8.4-5_all.deb LGPL Crypto library - documentation
libgcrypt20_1.8.4-5_i386.deb LGPL Crypto library - runtime library
libgctp-2.0.0_2.0.0-4_i386.deb General Cartographic Transformation Package Library
libgctp-dev_2.0.0-4_i386.deb General Cartographic Transformation Package - development files
libgcu0v5_0.14.17-1.1_i386.deb GNOME chemistry utils (library)
libgd-barcode-perl_1.15-7_all.deb Perl module to create barcode images
libgd-dev_2.2.5-5.2_i386.deb GD Graphics Library (development version)
libgd-gd2-noxpm-ocaml-dev_1.0~alpha5-8_all.deb OCaml interface to the GD library -- transitional package
libgd-gd2-noxpm-ocaml_1.0~alpha5-8_all.deb OCaml interface to the GD library -- transitional package
libgd-graph-perl_1.54~ds-2_all.deb Graph Plotting Module for Perl 5
libgd-graph3d-perl_0.63-9_all.deb Create 3D Graphs with GD and GD::Graph
libgd-ocaml-dev_1.0~alpha5-8+b6_i386.deb OCaml interface to the GD library -- developpement files
libgd-ocaml_1.0~alpha5-8+b6_i386.deb OCaml interface to the GD library -- runtime files
Advertisement
Advertisement